#!/bin/sh

ROOT=$1

#------------------------------------------------------------
mount -o remount,rw /dnake/bin

#rm -f /dnake/bin/data/bootanimation/*.zip
rm -r /dnake/bin/data

cp -rf $ROOT/dnake/bin/* /dnake/bin/

rm -rf /dnake/bin/httpd
cp -rf $ROOT/dnake/httpd /dnake/bin/

cp -rf $ROOT/dnake/prompt/* /dnake/bin/prompt/

chmod -R 0777 /dnake/bin/*

sync

#------------------------------------------------------------
mount -o remount,rw /system

rm -f /system/usr/face/FaceRecognizer4.3*
rm -f /system/usr/face/FaceRecognizer6.1.0.AF.tsm
rm -f /system/usr/face/FaceRecognizer6.1.1.AF.tsm

rm -f /system/usr/face/FaceAntiSpoofing.SN*
rm -f /system/usr/face/FaceAntiSpoofing.PLG.*

cp -f $ROOT/system/lib/*.so /system/lib/
chmod 0644 /system/lib/*.so

cp -f $ROOT/system/vendor/modules/* /system/vendor/modules/
chmod 0644 /system/vendor/modules/*.ko

cp -f $ROOT/system/app/*.apk /system/app/
chmod 0644 /system/app/*.apk

cp -f $ROOT/system/usr/face/* /system/usr/face/


#--flush nand--
echo flush 65535 > /sys/nand_driver0/nand_debug

#--flush flash--
echo 50 > /proc/sys/vm/dirty_writeback_centisecs
echo 50 > /proc/sys/vm/dirty_expire_centisecs
echo 4096 > /proc/sys/vm/dirty_bytes
echo 4096 > /proc/sys/vm/dirty_background_bytes
sync

#--write dummy data to flush--
dd if=/dev/urandom bs=1024 count=4096 of=/dnake/bin/dummy.dat
dd if=/dev/urandom bs=1024 count=4096 of=/system/dummy.dat
sync
sleep 2

rm -f /dnake/bin/dummy.dat
rm -f /system/dummy.dat
sync
